<?php
// This file was auto-generated from sdk-root/src/data/opsworkscm/2016-11-01/docs-2.json
return [ 'version' => '2.0', 'service' => '<fullname>AWS OpsWorks for Chef Automate</fullname> <p> A service that runs and manages configuration management servers. </p> <p>Glossary of terms</p> <ul> <li> <p> <b>Server</b>: A server is a configuration management server, and can be highly-available. The configuration manager runs on your instances by using various AWS services, such as Amazon Elastic Compute Cloud (EC2), and potentially Amazon Relational Database Service (RDS). A server is a generic abstraction over the configuration manager that you want to use, much like Amazon RDS. In AWS OpsWorks for Chef Automate, you do not start or stop servers. After you create servers, they continue to run until they are deleted.</p> </li> <li> <p> <b>Engine</b>: The specific configuration manager that you want to use (such as <code>Chef</code>) is the engine.</p> </li> <li> <p> <b>Backup</b>: This is an application-level backup of the data that the configuration manager stores. A backup creates a .tar.gz file that is stored in an Amazon Simple Storage Service (S3) bucket in your account. AWS OpsWorks for Chef Automate creates the S3 bucket when you launch the first instance. A backup maintains a snapshot of all of a server\'s important attributes at the time of the backup.</p> </li> <li> <p> <b>Events</b>: Events are always related to a server. Events are written during server creation, when health checks run, when backups are created, etc. When you delete a server, the server\'s events are also deleted.</p> </li> <li> <p> <b>AccountAttributes</b>: Every account has attributes that are assigned in the AWS OpsWorks for Chef Automate database. These attributes store information about configuration limits (servers, backups, etc.) and your customer account. </p> </li> </ul> <p>Throttling limits</p> <p>All API operations allow for 5 requests per second with a burst of 10 requests per second.</p>', 'operations' => [ 'AssociateNode' => NULL, 'CreateBackup' => '<p> Creates an application-level backup of a server. While the server is <code>BACKING_UP</code>, the server can not be modified and no additional backup can be created. </p> <p> Backups can be created for <code>RUNNING</code>, <code>HEALTHY</code> and <code>UNHEALTHY</code> servers. </p> <p> This operation is asnychronous. </p> <p> By default 50 manual backups can be created. </p> <p> A <code>LimitExceededException</code> is thrown then the maximum number of manual backup is reached. A <code>InvalidStateException</code> is thrown when the server is not in any of RUNNING, HEALTHY, UNHEALTHY. A <code>ResourceNotFoundException</code> is thrown when the server is not found. A <code>ValidationException</code> is thrown when parameters of the request are not valid. </p>', 'CreateServer' => '<p> Creates and immedately starts a new Server. The server can be used once it has reached the <code>HEALTHY</code> state. </p> <p> This operation is asnychronous. </p> <p> A <code>LimitExceededException</code> is thrown then the maximum number of server backup is reached. A <code>ResourceAlreadyExistsException</code> is raise when a server with the same name already exists in the account. A <code>ResourceNotFoundException</code> is thrown when a backupId is passed, but the backup does not exist. A <code>ValidationException</code> is thrown when parameters of the request are not valid. </p> <p> By default 10 servers can be created. A <code>LimitExceededException</code> is raised when the limit is exceeded. </p> <p> When no security groups are provided by using <code>SecurityGroupIds</code>, AWS OpsWorks creates a new security group. This security group opens the Chef server to the world on TCP port 443. If a KeyName is present, SSH access is enabled. SSH is also open to the world on TCP port 22. </p> <p>By default, the Chef Server is accessible from any IP address. We recommend that you update your security group rules to allow access from known IP addresses and address ranges only. To edit security group rules, open Security Groups in the navigation pane of the EC2 management console. </p>', 'DeleteBackup' => '<p> Deletes a backup. You can delete both manual and automated backups. </p> <p> This operation is asynchronous. </p> <p> A <code>InvalidStateException</code> is thrown then a backup is already deleting. A <code>ResourceNotFoundException</code> is thrown when the backup does not exist. A <code>ValidationException</code> is thrown when parameters of the request are not valid. </p>', 'DeleteServer' => '<p> Deletes the server and the underlying AWS CloudFormation stack (including the server\'s EC2 instance). The server status updated to <code>DELETING</code>. Once the server is successfully deleted, it will no longer be returned by <code>DescribeServer</code> requests. If the AWS CloudFormation stack cannot be deleted, the server cannot be deleted. </p> <p> This operation is asynchronous. </p> <p> A <code>InvalidStateException</code> is thrown then a server is already deleting. A <code>ResourceNotFoundException</code> is thrown when the server does not exist. A <code>ValidationException</code> is raised when parameters of the request are invalid. </p> <p> </p>', 'DescribeAccountAttributes' => '<p> Describes your account attributes, and creates requests to increase limits before they are reached or exceeded. </p> <p> This operation is synchronous. </p>', 'DescribeBackups' => '<p> Describes backups. The results are ordered by time, with newest backups first. If you do not specify a BackupId or ServerName, the command returns all backups. </p> <p> This operation is synchronous. </p> <p> A <code>ResourceNotFoundException</code> is thrown when the backup does not exist. A <code>ValidationException</code> is raised when parameters of the request are invalid. </p>', 'DescribeEvents' => '<p> Describes events for a specified server. Results are ordered by time, with newest events first. </p> <p> This operation is synchronous. </p> <p> A <code>ResourceNotFoundException</code> is thrown when the server does not exist. A <code>ValidationException</code> is raised when parameters of the request are invalid. </p>', 'DescribeNodeAssociationStatus' => NULL, 'DescribeServers' => '<p> Lists all configuration management servers that are identified with your account. Only the stored results from Amazon DynamoDB are returned. AWS OpsWorks for Chef Automate does not query other services. </p> <p> This operation is synchronous. </p> <p> A <code>ResourceNotFoundException</code> is thrown when the server does not exist. A <code>ValidationException</code> is raised when parameters of the request are invalid. </p>', 'DisassociateNode' => NULL, 'RestoreServer' => '<p> Restores a backup to a server that is in a <code>RUNNING</code>, <code>FAILED</code>, or <code>HEALTHY</code> state. When you run RestoreServer, the server\'s EC2 instance is deleted, and a new EC2 instance is configured. RestoreServer maintains the existing server endpoint, so configuration management of all of the server\'s client devices should continue to work. </p> <p> This operation is asynchronous. </p> <p> A <code>InvalidStateException</code> is thrown when the server is not in a valid state. A <code>ResourceNotFoundException</code> is thrown when the server does not exist. A <code>ValidationException</code> is raised when parameters of the request are invalid. </p>', 'StartMaintenance' => '<p> Manually starts server maintenance. This command can be useful if an earlier maintenance attempt failed, and the underlying cause of maintenance failure has been resolved. The server will switch to <code>UNDER_MAINTENANCE</code> state, while maintenace is in progress. </p> <p> Maintenace can only be started for <code>HEALTHY</code> and <code>UNHEALTHY</code> servers. A <code>InvalidStateException</code> is thrown otherwise. A <code>ResourceNotFoundException</code> is thrown when the server does not exist. A <code>ValidationException</code> is raised when parameters of the request are invalid. </p>', 'UpdateServer' => '<p> Updates settings for a server. </p> <p> This operation is synchronous. </p>', 'UpdateServerEngineAttributes' => '<p> Updates engine specific attributes on a specified server. Server will enter the <code>MODIFYING</code> state when this operation is in progress. Only one update can take place at a time. </p> <p> This operation can be use to reset Chef Server main API key (<code>CHEF_PIVOTAL_KEY</code>). </p> <p> This operation is asynchronous. </p> <p> </p> <p> This operation can only be called for <code>HEALTHY</code> and <code>UNHEALTHY</code> servers. Otherwise a <code>InvalidStateException</code> is raised. A <code>ResourceNotFoundException</code> is thrown when the server does not exist. A <code>ValidationException</code> is raised when parameters of the request are invalid. </p>', ], 'shapes' => [ 'AccountAttribute' => [ 'base' => '<p>Stores account attributes. </p>', 'refs' => [ 'AccountAttributes$member' => NULL, ], ], 'AccountAttributes' => [ 'base' => '<p> A list of the individual attributes. </p>', 'refs' => [ 'DescribeAccountAttributesResponse$Attributes' => '<p> The attributes that are currently set for the account. </p>', ], ], 'AssociateNodeRequest' => [ 'base' => NULL, 'refs' => [], ], 'AssociateNodeResponse' => [ 'base' => NULL, 'refs' => [], ], 'AttributeName' => [ 'base' => NULL, 'refs' => [ 'UpdateServerEngineAttributesRequest$AttributeName' => '<p>The name of the engine attribute to update. </p>', ], ], 'AttributeValue' => [ 'base' => NULL, 'refs' => [ 'UpdateServerEngineAttributesRequest$AttributeValue' => '<p>The value to set for the attribute. </p>', ], ], 'Backup' => [ 'base' => '<p>Describes a single backup. </p>', 'refs' => [ 'Backups$member' => NULL, 'CreateBackupResponse$Backup' => '<p>Backup created by request. </p>', ], ], 'BackupId' => [ 'base' => NULL, 'refs' => [ 'Backup$BackupId' => '<p> The generated ID of the backup. Example: <code>myServerName-yyyyMMddHHmmssSSS</code> </p>', 'CreateServerRequest$BackupId' => '<p> If you specify this field, AWS OpsWorks for Chef Automate creates the server by using the backup represented by BackupId. </p>', 'DeleteBackupRequest$BackupId' => '<p>The ID of the backup to delete. Run the DescribeBackups command to get a list of backup IDs. Backup IDs are in the format <code>ServerName-yyyyMMddHHmmssSSS</code>. </p>', 'DescribeBackupsRequest$BackupId' => '<p>Describes a single backup. </p>', 'RestoreServerRequest$BackupId' => '<p> The ID of the backup that you want to use to restore a server. </p>', ], ], 'BackupRetentionCountDefinition' => [ 'base' => NULL, 'refs' => [ 'CreateServerRequest$BackupRetentionCount' => '<p> The number of automated backups that you want to keep. Whenever a new backup is created, AWS OpsWorks for Chef Automate deletes the oldest backups if this number is exceeded. The default value is <code>1</code>. </p>', ], ], 'BackupStatus' => [ 'base' => NULL, 'refs' => [ 'Backup$Status' => '<p>The status of a backup while in progress. </p>', ], ], 'BackupType' => [ 'base' => NULL, 'refs' => [ 'Backup$BackupType' => '<p> The backup type. Valid values are <code>automated</code> or <code>manual</code>. </p>', ], ], 'Backups' => [ 'base' => NULL, 'refs' => [ 'DescribeBackupsResponse$Backups' => '<p>Contains the response to a <code>DescribeBackups</code> request. </p>', ], ], 'Boolean' => [ 'base' => NULL, 'refs' => [ 'CreateServerRequest$DisableAutomatedBackup' => '<p> Enable or disable scheduled backups. Valid values are <code>true</code> or <code>false</code>. The default value is <code>true</code>. </p>', 'Server$DisableAutomatedBackup' => '<p>Disables automated backups. The number of stored backups is dependent on the value of PreferredBackupCount. </p>', 'UpdateServerRequest$DisableAutomatedBackup' => '<p>Setting DisableAutomatedBackup to <code>true</code> disables automated or scheduled backups. Automated backups are enabled by default. </p>', ], ], 'CreateBackupRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateBackupResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateServerRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateServerResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteBackupRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteBackupResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteServerRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteServerResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeAccountAttributesRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeAccountAttributesResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeBackupsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeBackupsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeEventsRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeEventsResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeNodeAssociationStatusRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeNodeAssociationStatusResponse' => [ 'base' => NULL, 'refs' => [], ], 'DescribeServersRequest' => [ 'base' => NULL, 'refs' => [], ], 'DescribeServersResponse' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateNodeRequest' => [ 'base' => NULL, 'refs' => [], ], 'DisassociateNodeResponse' => [ 'base' => NULL, 'refs' => [], ], 'EngineAttribute' => [ 'base' => '<p>A name/value pair that is specific to the engine of the server. </p>', 'refs' => [ 'EngineAttributes$member' => NULL, ], ], 'EngineAttributes' => [ 'base' => NULL, 'refs' => [ 'AssociateNodeRequest$EngineAttributes' => NULL, 'CreateServerRequest$EngineAttributes' => '<p>Engine attributes on a specified server. </p> <p class="title"> <b>Attributes accepted in a createServer request:</b> </p> <ul> <li> <p> <code>CHEF_PIVOTAL_KEY</code>: A base64-encoded RSA private key that is not stored by AWS OpsWorks for Chef Automate. This private key is required to access the Chef API.</p> </li> </ul>', 'DisassociateNodeRequest$EngineAttributes' => NULL, 'Server$EngineAttributes' => '<p>The response of a createServer() request returns the master credential to access the server in EngineAttributes. These credentials are not stored by AWS OpsWorks for Chef Automate; they are returned only as part of the result of createServer(). </p> <p class="title"> <b>Attributes returned in a createServer response:</b> </p> <ul> <li> <p> <code>CHEF_PIVOTAL_KEY</code>: A base64-encoded RSA private key that is generated by AWS OpsWorks for Chef Automate. This private key is required to access the Chef API.</p> </li> <li> <p> <code>CHEF_STARTER_KIT</code>: A base64-encoded ZIP file. The ZIP file contains a Chef starter kit, which includes a README, a configuration file, and the required RSA private key. Save this file, unzip it, and then change to the directory where you\'ve unzipped the file contents. From this directory, you can run Knife commands.</p> </li> </ul>', ], ], 'InstanceProfileArn' => [ 'base' => NULL, 'refs' => [ 'CreateServerRequest$InstanceProfileArn' => '<p> The ARN of the instance profile that your Amazon EC2 instances use. Although the AWS OpsWorks console typically creates the instance profile for you, in this release of AWS OpsWorks for Chef Automate, run the service-role-creation.yaml AWS CloudFormation template, located at https://s3.amazonaws.com/opsworks-stuff/latest/service-role-creation.yaml. This template creates a stack that includes the instance profile you need. </p>', ], ], 'Integer' => [ 'base' => NULL, 'refs' => [ 'AccountAttribute$Maximum' => '<p> The maximum allowed value. </p>', 'AccountAttribute$Used' => '<p> The current usage, such as the current number of servers associated with the account. </p>', 'Backup$S3DataSize' => '<p> The size of the backup, in bytes. The size is returned by the instance in the command results. </p>', 'Server$BackupRetentionCount' => '<p>The number of automated backups to keep. </p>', 'UpdateServerRequest$BackupRetentionCount' => '<p>Sets the number of automated backups that you want to keep. </p>', ], ], 'InvalidNextTokenException' => [ 'base' => '<p>This occurs when the provided nextToken is not valid. </p>', 'refs' => [], ], 'InvalidStateException' => [ 'base' => '<p>The resource is in a state that does not allow you to perform a specified action. </p>', 'refs' => [], ], 'KeyPair' => [ 'base' => NULL, 'refs' => [ 'CreateServerRequest$KeyPair' => '<p> The Amazon EC2 key pair to set for the instance. You may specify this parameter to connect to your instances by using SSH. </p>', 'RestoreServerRequest$KeyPair' => '<p> The name of the key pair to set on the new EC2 instance. This can be helpful if any of the administrators who manage the server no longer have the SSH key. </p>', ], ], 'LimitExceededException' => [ 'base' => '<p>The limit of servers or backups has been reached. </p>', 'refs' => [], ], 'MaintenanceStatus' => [ 'base' => NULL, 'refs' => [ 'Server$MaintenanceStatus' => '<p>The status of the most recent server maintenance run. Shows <code>SUCCESS</code> or <code>FAILED</code>. </p>', ], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'DescribeBackupsRequest$MaxResults' => '<p>To receive a paginated response, use this parameter to specify the maximum number of results to be returned with a single call. If the number of available results exceeds this maximum, the response includes a <code>NextToken</code> value that you can assign to the <code>NextToken</code> request parameter to get the next set of results. </p>', 'DescribeEventsRequest$MaxResults' => '<p>To receive a paginated response, use this parameter to specify the maximum number of results to be returned with a single call. If the number of available results exceeds this maximum, the response includes a <code>NextToken</code> value that you can assign to the <code>NextToken</code> request parameter to get the next set of results. </p>', 'DescribeServersRequest$MaxResults' => '<p>To receive a paginated response, use this parameter to specify the maximum number of results to be returned with a single call. If the number of available results exceeds this maximum, the response includes a <code>NextToken</code> value that you can assign to the <code>NextToken</code> request parameter to get the next set of results. </p>', ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'DescribeBackupsRequest$NextToken' => '<p>NextToken is a string that is returned in some command responses. It indicates that not all entries have been returned, and that you must run at least one more request to get remaining items. To get remaining results, call <code>DescribeBackups</code> again, and assign the token from the previous results as the value of the <code>nextToken</code> parameter. If there are no more results, the response object\'s <code>nextToken</code> parameter value is <code>null</code>. Setting a <code>nextToken</code> value that was not returned in your previous results causes an <code>InvalidNextTokenException</code> to occur.</p>', 'DescribeEventsRequest$NextToken' => '<p>NextToken is a string that is returned in some command responses. It indicates that not all entries have been returned, and that you must run at least one more request to get remaining items. To get remaining results, call <code>DescribeEvents</code> again, and assign the token from the previous results as the value of the <code>nextToken</code> parameter. If there are no more results, the response object\'s <code>nextToken</code> parameter value is <code>null</code>. Setting a <code>nextToken</code> value that was not returned in your previous results causes an <code>InvalidNextTokenException</code> to occur. </p>', 'DescribeServersRequest$NextToken' => '<p>NextToken is a string that is returned in some command responses. It indicates that not all entries have been returned, and that you must run at least one more request to get remaining items. To get remaining results, call <code>DescribeServers</code> again, and assign the token from the previous results as the value of the <code>nextToken</code> parameter. If there are no more results, the response object\'s <code>nextToken</code> parameter value is <code>null</code>. Setting a <code>nextToken</code> value that was not returned in your previous results causes an <code>InvalidNextTokenException</code> to occur. </p>', ], ], 'NodeAssociationStatus' => [ 'base' => NULL, 'refs' => [ 'DescribeNodeAssociationStatusResponse$NodeAssociationStatus' => NULL, ], ], 'NodeAssociationStatusToken' => [ 'base' => NULL, 'refs' => [ 'AssociateNodeResponse$NodeAssociationStatusToken' => NULL, 'DescribeNodeAssociationStatusRequest$NodeAssociationStatusToken' => NULL, 'DisassociateNodeResponse$NodeAssociationStatusToken' => NULL, ], ], 'NodeName' => [ 'base' => NULL, 'refs' => [ 'AssociateNodeRequest$NodeName' => NULL, 'DisassociateNodeRequest$NodeName' => NULL, ], ], 'ResourceAlreadyExistsException' => [ 'base' => '<p>The requested resource cannot be created because it already exists. </p>', 'refs' => [], ], 'ResourceNotFoundException' => [ 'base' => '<p>The requested resource does not exist, or access was denied. </p>', 'refs' => [], ], 'RestoreServerRequest' => [ 'base' => NULL, 'refs' => [], ], 'RestoreServerResponse' => [ 'base' => NULL, 'refs' => [], ], 'Server' => [ 'base' => '<p>Describes a configuration management server. </p>', 'refs' => [ 'CreateServerResponse$Server' => '<p>The server that is created by the request. </p>', 'Servers$member' => NULL, 'StartMaintenanceResponse$Server' => '<p>Contains the response to a <code>StartMaintenance</code> request. </p>', 'UpdateServerEngineAttributesResponse$Server' => '<p>Contains the response to an <code>UpdateServerEngineAttributes</code> request. </p>', 'UpdateServerResponse$Server' => '<p>Contains the response to a <code>UpdateServer</code> request. </p>', ], ], 'ServerEvent' => [ 'base' => '<p>An event that is related to the server, such as the start of maintenance or backup. </p>', 'refs' => [ 'ServerEvents$member' => NULL, ], ], 'ServerEvents' => [ 'base' => NULL, 'refs' => [ 'DescribeEventsResponse$ServerEvents' => '<p>Contains the response to a <code>DescribeEvents</code> request. </p>', ], ], 'ServerName' => [ 'base' => NULL, 'refs' => [ 'AssociateNodeRequest$ServerName' => NULL, 'Backup$ServerName' => '<p> The name of the server from which the backup was made. </p>', 'CreateBackupRequest$ServerName' => '<p>The name of the server that you want to back up. </p>', 'CreateServerRequest$ServerName' => '<p> The name of the server. The server name must be unique within your AWS account, within each region. Server names must start with a letter; then letters, numbers, or hyphens (-) are allowed, up to a maximum of 32 characters. </p>', 'DeleteServerRequest$ServerName' => '<p>The ID of the server to delete.</p>', 'DescribeBackupsRequest$ServerName' => '<p>Returns backups for the server with the specified ServerName. </p>', 'DescribeEventsRequest$ServerName' => '<p>The name of the server for which you want to view events.</p>', 'DescribeNodeAssociationStatusRequest$ServerName' => NULL, 'DescribeServersRequest$ServerName' => '<p>Describes the server with the specified ServerName. </p>', 'DisassociateNodeRequest$ServerName' => NULL, 'RestoreServerRequest$ServerName' => '<p> The name of the server that you want to restore. </p>', 'StartMaintenanceRequest$ServerName' => '<p>The name of the server on which to run maintenance. </p>', 'UpdateServerEngineAttributesRequest$ServerName' => '<p>The name of the server to update. </p>', 'UpdateServerRequest$ServerName' => '<p>The name of the server to update. </p>', ], ], 'ServerStatus' => [ 'base' => NULL, 'refs' => [ 'Server$Status' => '<p> The server\'s status. This field displays the states of actions in progress, such as creating, running, or backing up the server, as well as server health. </p>', ], ], 'Servers' => [ 'base' => NULL, 'refs' => [ 'DescribeServersResponse$Servers' => '<p>Contains the response to a <code>DescribeServers</code> request. </p>', ], ], 'ServiceRoleArn' => [ 'base' => NULL, 'refs' => [ 'CreateServerRequest$ServiceRoleArn' => '<p> The service role that the AWS OpsWorks for Chef Automate service backend uses to work with your account. Although the AWS OpsWorks console typically creates the service role for you, in this release of AWS OpsWorks for Chef Automate, run the service-role-creation.yaml AWS CloudFormation template, located at https://s3.amazonaws.com/opsworks-stuff/latest/service-role-creation.yaml. This template creates a stack that includes the service role that you need. </p>', ], ], 'StartMaintenanceRequest' => [ 'base' => NULL, 'refs' => [], ], 'StartMaintenanceResponse' => [ 'base' => NULL, 'refs' => [], ], 'String' => [ 'base' => NULL, 'refs' => [ 'AccountAttribute$Name' => '<p> The attribute name. The following are supported attribute names. </p> <ul> <li> <p> <i>ServerLimit:</i> The number of servers that currently existing / maximal allowed. By default 10 servers can be created. </p> </li> <li> <p> <i>ManualBackupLimit:</i> The number of manual backups that currently exist / are maximal allowed. By default 50 manual backups can be created. </p> </li> </ul>', 'Backup$BackupArn' => '<p>The ARN of the backup. </p>', 'Backup$Description' => '<p> A user-provided description for a manual backup. This field is empty for automated backups. </p>', 'Backup$Engine' => '<p> The engine type that is obtained from the server when the backup is created. </p>', 'Backup$EngineModel' => '<p> The engine model that is obtained from the server when the backup is created. </p>', 'Backup$EngineVersion' => '<p> The engine version that is obtained from the server when the backup is created. </p>', 'Backup$InstanceProfileArn' => '<p> The EC2 instance profile ARN that is obtained from the server when the backup is created. Because this value is stored, you are not required to provide the InstanceProfileArn again if you restore a backup. </p>', 'Backup$InstanceType' => '<p> The instance type that is obtained from the server when the backup is created. </p>', 'Backup$KeyPair' => '<p> The key pair that is obtained from the server when the backup is created. </p>', 'Backup$S3DataUrl' => '<p> The Amazon S3 URL of the backup\'s tar.gz file. </p>', 'Backup$S3LogUrl' => '<p> The Amazon S3 URL of the backup\'s log file. </p>', 'Backup$ServiceRoleArn' => '<p> The service role ARN that is obtained from the server when the backup is created. </p>', 'Backup$StatusDescription' => '<p> An informational message about backup status. </p>', 'Backup$ToolsVersion' => '<p> The version of AWS OpsWorks for Chef Automate-specific tools that is obtained from the server when the backup is created. </p>', 'Backup$UserArn' => '<p> The IAM user ARN of the requester for manual backups. This field is empty for automated backups. </p>', 'CreateBackupRequest$Description' => '<p> A user-defined description of the backup. </p>', 'CreateServerRequest$Engine' => '<p> The configuration management engine to use. Valid values include <code>Chef</code>. </p>', 'CreateServerRequest$EngineModel' => '<p> The engine model, or option. Valid values include <code>Single</code>. </p>', 'CreateServerRequest$EngineVersion' => '<p> The major release version of the engine that you want to use. Values depend on the engine that you choose. </p>', 'CreateServerRequest$InstanceType' => '<p> The Amazon EC2 instance type to use. Valid values must be specified in the following format: <code>^([cm][34]|t2).*</code> For example, <code>c3.large</code>. </p>', 'DescribeBackupsResponse$NextToken' => '<p>NextToken is a string that is returned in some command responses. It indicates that not all entries have been returned, and that you must run at least one more request to get remaining items. To get remaining results, call <code>DescribeBackups</code> again, and assign the token from the previous results as the value of the <code>nextToken</code> parameter. If there are no more results, the response object\'s <code>nextToken</code> parameter value is <code>null</code>. Setting a <code>nextToken</code> value that was not returned in your previous results causes an <code>InvalidNextTokenException</code> to occur. </p>', 'DescribeEventsResponse$NextToken' => '<p>NextToken is a string that is returned in some command responses. It indicates that not all entries have been returned, and that you must run at least one more request to get remaining items. To get remaining results, call <code>DescribeEvents</code> again, and assign the token from the previous results as the value of the <code>nextToken</code> parameter. If there are no more results, the response object\'s <code>nextToken</code> parameter value is <code>null</code>. Setting a <code>nextToken</code> value that was not returned in your previous results causes an <code>InvalidNextTokenException</code> to occur. </p>', 'DescribeServersResponse$NextToken' => '<p>NextToken is a string that is returned in some command responses. It indicates that not all entries have been returned, and that you must run at least one more request to get remaining items. To get remaining results, call <code>DescribeServers</code> again, and assign the token from the previous results as the value of the <code>nextToken</code> parameter. If there are no more results, the response object\'s <code>nextToken</code> parameter value is <code>null</code>. Setting a <code>nextToken</code> value that was not returned in your previous results causes an <code>InvalidNextTokenException</code> to occur. </p>', 'EngineAttribute$Name' => '<p>The name of the engine attribute. </p>', 'EngineAttribute$Value' => '<p>The value of the engine attribute. </p>', 'InvalidNextTokenException$Message' => '<p>Error or informational message that can contain more detail about a nextToken failure. </p>', 'InvalidStateException$Message' => '<p>Error or informational message that provides more detail if a resource is in a state that is not valid for performing a specified action. </p>', 'LimitExceededException$Message' => '<p>Error or informational message that the maximum allowed number of servers or backups has been exceeded. </p>', 'ResourceAlreadyExistsException$Message' => '<p>Error or informational message in response to a CreateServer request that a resource cannot be created because it already exists. </p>', 'ResourceNotFoundException$Message' => '<p>Error or informational message that can contain more detail about problems locating or accessing a resource. </p>', 'RestoreServerRequest$InstanceType' => '<p> The type of the instance to create. Valid values must be specified in the following format: <code>^([cm][34]|t2).*</code> For example, <code>c3.large</code>. If you do not specify this parameter, RestoreServer uses the instance type from the specified backup. </p>', 'Server$ServerName' => '<p>The name of the server. </p>', 'Server$Endpoint' => '<p> A DNS name that can be used to access the engine. Example: <code>myserver-asdfghjkl.us-east-1.opsworks.io</code> </p>', 'Server$Engine' => '<p>The engine type of the server. The valid value in this release is <code>Chef</code>. </p>', 'Server$EngineModel' => '<p>The engine model of the server. The valid value in this release is <code>Single</code>. </p>', 'Server$EngineVersion' => '<p>The engine version of the server. Because Chef is the engine available in this release, the valid value for EngineVersion is <code>12</code>. </p>', 'Server$InstanceProfileArn' => '<p>The instance profile ARN of the server. </p>', 'Server$InstanceType' => '<p> The instance type for the server, as specified in the CloudFormation stack. This might not be the same instance type that is shown in the EC2 console. </p>', 'Server$KeyPair' => '<p>The key pair associated with the server. </p>', 'Server$ServiceRoleArn' => '<p>The service role ARN used to create the server. </p>', 'Server$StatusReason' => '<p> Depending on the server status, this field has either a human-readable message (such as a create or backup error), or an escaped block of JSON (used for health check results). </p>', 'Server$ServerArn' => '<p>The ARN of the server. </p>', 'ServerEvent$ServerName' => '<p>The name of the server on or for which the event occurred. </p>', 'ServerEvent$Message' => '<p>A human-readable informational or status message.</p>', 'ServerEvent$LogUrl' => '<p>The Amazon S3 URL of the event\'s log file.</p>', 'Strings$member' => NULL, 'ValidationException$Message' => '<p>Error or informational message that can contain more detail about a validation failure. </p>', ], ], 'Strings' => [ 'base' => NULL, 'refs' => [ 'Backup$SecurityGroupIds' => '<p> The security group IDs that are obtained from the server when the backup is created. </p>', 'Backup$SubnetIds' => '<p> The subnet IDs that are obtained from the server when the backup is created. </p>', 'CreateServerRequest$SecurityGroupIds' => '<p> A list of security group IDs to attach to the Amazon EC2 instance. If you add this parameter, the specified security groups must be within the VPC that is specified by <code>SubnetIds</code>. </p> <p> If you do not specify this parameter, AWS OpsWorks for Chef Automate creates one new security group that uses TCP ports 22 and 443, open to 0.0.0.0/0 (everyone). </p>', 'CreateServerRequest$SubnetIds' => '<p> The IDs of subnets in which to launch the server EC2 instance. </p> <p> Amazon EC2-Classic customers: This field is required. All servers must run within a VPC. The VPC must have "Auto Assign Public IP" enabled. </p> <p> EC2-VPC customers: This field is optional. If you do not specify subnet IDs, your EC2 instances are created in a default subnet that is selected by Amazon EC2. If you specify subnet IDs, the VPC must have "Auto Assign Public IP" enabled. </p> <p>For more information about supported Amazon EC2 platforms, see <a href="http://docs.aws.amazon.com/https:/docs.aws.amazon.com/AWSEC2/latest/UserGuide/ec2-supported-platforms.html">Supported Platforms</a>.</p>', 'Server$SecurityGroupIds' => '<p> The security group IDs for the server, as specified in the CloudFormation stack. These might not be the same security groups that are shown in the EC2 console. </p>', 'Server$SubnetIds' => '<p> The subnet IDs specified in a CreateServer request. </p>', ], ], 'TimeWindowDefinition' => [ 'base' => '<p> <code>DDD:HH:MM</code> (weekly start time) or <code>HH:MM</code> (daily start time). </p> <p> Time windows always use coordinated universal time (UTC). </p> <p> Valid strings for day of week (<code>DDD</code>) are: Mon, Tue, Wed, Thr, Fri, Sat, Sun. </p>', 'refs' => [ 'Backup$PreferredBackupWindow' => '<p> The preferred backup period that is obtained from the server when the backup is created. </p>', 'Backup$PreferredMaintenanceWindow' => '<p> The preferred maintenance period that is obtained from the server when the backup is created. </p>', 'CreateServerRequest$PreferredMaintenanceWindow' => '<p> The start time for a one-hour period each week during which AWS OpsWorks for Chef Automate performs maintenance on the instance. Valid values must be specified in the following format: <code>DDD:HH:MM</code>. The specified time is in coordinated universal time (UTC). The default value is a random one-hour period on Tuesday, Wednesday, or Friday. See <code>TimeWindowDefinition</code> for more information. </p> <p> <b>Example:</b> <code>Mon:08:00</code>, which represents a start time of every Monday at 08:00 UTC. (8:00 a.m.) </p>', 'CreateServerRequest$PreferredBackupWindow' => '<p> The start time for a one-hour period during which AWS OpsWorks for Chef Automate backs up application-level data on your server if backups are enabled. Valid values must be specified in one of the following formats: </p> <ul> <li> <p> <code>HH:MM</code> for daily backups</p> </li> <li> <p> <code>DDD:HH:MM</code> for weekly backups</p> </li> </ul> <p>The specified time is in coordinated universal time (UTC). The default value is a random, daily start time.</p> <p> <b>Example:</b> <code>08:00</code>, which represents a daily start time of 08:00 UTC.</p> <p> <b>Example:</b> <code>Mon:08:00</code>, which represents a start time of every Monday at 08:00 UTC. (8:00 a.m.)</p>', 'Server$PreferredMaintenanceWindow' => '<p>The preferred maintenance period specified for the server. </p>', 'Server$PreferredBackupWindow' => '<p>The preferred backup period specified for the server. </p>', 'UpdateServerRequest$PreferredMaintenanceWindow' => NULL, 'UpdateServerRequest$PreferredBackupWindow' => NULL, ], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'Backup$CreatedAt' => '<p> The time stamp when the backup was created in the database. Example: <code>2016-07-29T13:38:47.520Z</code> </p>', 'Server$CreatedAt' => '<p>Time stamp of server creation. Example <code>2016-07-29T13:38:47.520Z</code> </p>', 'ServerEvent$CreatedAt' => '<p>The time when the event occurred. </p>', ], ], 'UpdateServerEngineAttributesRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateServerEngineAttributesResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateServerRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateServerResponse' => [ 'base' => NULL, 'refs' => [], ], 'ValidationException' => [ 'base' => '<p>One or more of the provided request parameters are not valid. </p>', 'refs' => [], ], ],];
